### Signal

# Gtk.DragSource::prepare

#### Declaration

    GdkContentProvider*
    prepare (
      GtkDragSource self,
      gdouble x,
      gdouble y,
      gpointer user_data
    )

#### Description [src]

Emitted when a drag is about to be initiated.

It returns the `GdkContentProvider` to use for the drag that is about to start. The default handler for this signal returns the value of the `GtkDragSource:content` property, so if you set up that property ahead of time, you don’t need to connect to this signal.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`

#### Parameters

`x` | `gdouble`
| the X coordinate of the drag starting point
`y` | `gdouble`
| the Y coordinate fo the drag starting point

#### Return value

Returns: `GdkContentProvider*`
a `GdkContentProvider`, or `NULL`
Ownership of the data is transferred to the caller
Can be `NULL`